gi-xlib-2.0.14: xlib bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | Safe-Inferred
Language | Haskell2010

GI.Xlib.Unions.XEvent

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype XEvent = XEvent (ManagedPtr XEvent)

# Exported types

newtype XEvent Source #

Memory-managed wrapper type.

Constructors

XEvent (ManagedPtr XEvent) |

#### Instances

Instances details

Eq XEvent Source # |
Instance details Defined in GI.Xlib.Unions.XEvent Methods (==) :: XEvent -> XEvent -> Bool Source # (/=) :: XEvent -> XEvent -> Bool Source #
BoxedPtr XEvent Source # |
Instance details Defined in GI.Xlib.Unions.XEvent Methods boxedPtrCopy :: XEvent -> IO XEvent Source # boxedPtrFree :: XEvent -> IO () Source #
ManagedPtrNewtype XEvent Source # |
Instance details Defined in GI.Xlib.Unions.XEvent Methods toManagedPtr :: XEvent -> ManagedPtr XEvent Source #

# Methods